Skip to navigation

Get an agent version

Beta
View as Markdown
Read the immutable definition of one numbered Agent version.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

agentIdstringRequired
versionintegerRequired

Headers

BCTRL-VersionenumOptional
Dated API version. Defaults to the release pinned when the API key was created.
Allowed values:
BCTRL-SpacestringOptional
Select one authorized Space by its opaque ID or unique name. Omission uses the operation default.
BCTRL-Subaccount-IdstringOptional
Optional effective subaccount context for organization API keys. Subaccount API keys are already scoped and cannot use this header to act as another subaccount.

Response headers

BCTRL-Request-IdstringOptional
Current request identifier, also echoed in errors.
BCTRL-VersionstringOptional
Negotiated dated API version.
RateLimit-Limitinteger

Evaluated policy limit; zero when no finite policy was evaluated.

RateLimit-Remaininginteger

Remaining policy budget; zero when no finite policy was evaluated.

RateLimit-Resetinteger

Seconds until reset; zero when no finite policy was evaluated.

Response

OK
agentIdstring
Unique agent identifier generated by BCTRL.
createdAtdatetime
RFC 3339 timestamp with a UTC offset.
idstring
Unique agentVersion identifier generated by BCTRL.
instructionsstring<=16000 charactersDefaults to
memoryenumDefaults to space_notes
Allowed values:
modelstring1-200 characters
object"agent.version"
requireApprovalForPromotionbooleanDefaults to true
scopeobject
toolslist of enums or strings
versioninteger

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error